using EVCB_OCPP.Packet20.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Features.Core
{
    public class StatusNotificationFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.StatusNotification.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(StatusNotificationResponse);
        }

        public override Type GetRequestType()
        {
            return typeof(StatusNotificationRequest);
        }
    }
}
